program grfont
  use gkernel_interfaces
  use gildas_def
  !---------------------------------------------------------------------
  ! Construction du jeu de caracteres de GREG a partir de celui de HERSHEY
  !
  ! Organisation :
  !	2 Qualites de caracteres
  !		1 FAST		2 DUPLEX
  !	3 Jeux de caracteres par qualite
  !		1 ROMAIN	2 GREC		3 SCRIPT
  ! 	95 Caracteres par jeu
  !
  ! Addressage base sur le code ASCII du caractere
  !
  ! INDEX = ICHAR(caractere) - ICHAR(' ') + 1 + 100*(NJEU-1) + 300*(NQUAL-1)
  !---------------------------------------------------------------------
  ! Local
  integer :: j
  integer :: icode,nl
  character(len=filename_length) :: command,file
  !
  ! Get command line from the shell calling sequence
  icode = sic_get_foreign(command,nl)
  if (icode.ne.1) call sysexi(icode)
  !
  if (nl.ne.0) then
    ! Check for a blank (e.g. multiple arguments)
    do j = 1,lenc(command)
      if (command(j:j).eq.' ') then
        print *,'F-HERSHEY, Multiple arguments in shell command line'
        call sysexi(fatale)
      endif
    enddo
    ! Parse input pattern
    call sic_parsef(command,file,' ','.bin')
  else
    file = 'gag-font.bin'
  endif
  !
  call hershey2gag(file)
  !
end program grfont
